server:
  port: 8080
  servlet:
    encoding:
      charset: utf-8
      enabled: true
      force: true # 设置响应的字符编码，避免流式返回输出乱码
spring:
  application:
    name: langchain4j-ai-xiaoai-agent
  data:
    mongodb:
      uri: mongodb://localhost:27017/xiao_ai_db # MongoDB连接配置,数据库 xiao_ai_db 会自动创建
  datasource:
    driver-class-name:
    type: com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://localhost:3306/langchain4j?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai&allowPublicKeyRetrieval=true
    username: root
    password: 123456
#配置Mybatis
mybatis:
  mapper-locations: classpath:mapper/*.xml
  type-aliases-package: com.iwe3.langchain4j.entity
  configuration:
    map-underscore-to-camel-case: true
langchain4j:
  community:
    dashscope:
      embedding-model:
        model-name: text-embedding-v3
        api-key: ${DASH_SCOPE_API_KEY}
